[Pkg-nagios-changes] [pkg-nagios] r1243 - nagvis/trunk/debian

Hendrik Frenzel hfrenzel-guest at alioth.debian.org
Thu Oct 18 22:34:02 UTC 2007


Author: hfrenzel-guest
Date: 2007-10-18 22:34:01 +0000 (Thu, 18 Oct 2007)
New Revision: 1243

Added:
   nagvis/trunk/debian/postrm
Modified:
   nagvis/trunk/debian/changelog
   nagvis/trunk/debian/links
   nagvis/trunk/debian/postinst
Log:
added debian/postrm and fixed symlinks to maps/templates


Modified: nagvis/trunk/debian/changelog
===================================================================
--- nagvis/trunk/debian/changelog	2007-10-18 10:34:43 UTC (rev 1242)
+++ nagvis/trunk/debian/changelog	2007-10-18 22:34:01 UTC (rev 1243)
@@ -1,3 +1,11 @@
+nagvis (1:1.1-2) unstable; urgency=low
+
+  * Symlinked images/maps and images/tempates to the apropriate directory below
+    /etc/nagvis
+  * Added missing debian/postrm
+
+ -- Hendrik Frenzel <hfrenzel at scunc.net>  Fri, 19 Oct 2007 00:30:05 +0200
+
 nagvis (1:1.1-1) unstable; urgency=low
 
   * New upstream release

Modified: nagvis/trunk/debian/links
===================================================================
--- nagvis/trunk/debian/links	2007-10-18 10:34:43 UTC (rev 1242)
+++ nagvis/trunk/debian/links	2007-10-18 22:34:01 UTC (rev 1243)
@@ -1,3 +1,5 @@
 etc/nagvis/maps usr/share/nagvis/htdocs/nagvis/etc/maps
+etc/nagvis/maps usr/share/nagvis/htdocs/nagvis/htdocs/nagvis/images/maps
 etc/nagvis/templates usr/share/nagvis/htdocs/nagvis/etc/templates
+etc/nagvis/templates usr/share/nagvis/htdocs/nagvis/htdocs/nagvis/images/templates
 usr/share/nagvis/htdocs usr/share/nagios2/htdocs/nagvis

Modified: nagvis/trunk/debian/postinst
===================================================================
--- nagvis/trunk/debian/postinst	2007-10-18 10:34:43 UTC (rev 1242)
+++ nagvis/trunk/debian/postinst	2007-10-18 22:34:01 UTC (rev 1243)
@@ -48,10 +48,13 @@
 		test -f $f && setperm www-data www-data 0644 $f
 		test -d $f && setperm www-data www-data 0755 $f
 	done
-	setperm www-data www-data 0775 /usr/share/nagvis/htdocs/nagvis/images/maps
 	setperm www-data www-data 0775 /usr/share/nagvis/htdocs/nagvis/etc/maps
 
 	ucf /usr/share/nagvis/debian/apache.conf /etc/nagvis/apache.conf
+	#if ! [ -e /etc/apache2/conf.d/nagvis.conf ]; then
+	#	ln -s /etc/nagvis/apache.conf /etc/apache2/conf.d/nagvis.conf
+	#fi
+
     ;;
 
     abort-upgrade|abort-remove|abort-deconfigure)

Added: nagvis/trunk/debian/postrm
===================================================================
--- nagvis/trunk/debian/postrm	                        (rev 0)
+++ nagvis/trunk/debian/postrm	2007-10-18 22:34:01 UTC (rev 1243)
@@ -0,0 +1,59 @@
+#!/bin/sh
+# postrm script for #PACKAGE#
+#
+# see: dh_installdeb(1)
+
+set -e
+
+if [ -f /usr/share/debconf/confmodule ]; then
+	. /usr/share/debconf/confmodule
+fi
+
+if [ -f /usr/share/dbconfig-common/dpkg/postrm.@@DB@@ ]; then
+	. /usr/share/dbconfig-common/dpkg/frontend.postrm.mysql
+	dbc_go nagvis $@
+fi
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge|remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+if [ "$1" = "purge" ]; then
+	for file in apache.conf config.ini.php; do
+		rm -f /etc/nagvis/$file
+		ucf --purge /etc/nagvis/$file
+	done
+
+	#if [ -e /etc/apache2/conf.d/nagvis.conf ]; then
+	#	rm -f /etc/apache2/conf.d/nagvis.conf
+	#fi
+fi
+	
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+




More information about the Pkg-nagios-changes mailing list